package cn.iocoder.yudao.module.order.dto;

import cn.iocoder.yudao.module.order.vo.approval.OrderSpecialApplyVO;
import cn.iocoder.yudao.module.product.vo.coupon.CouponInfoVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("订单明细费用汇总")
public class OrderDetailSummaryDto {

    @ApiModelProperty(value = "订单项费用汇总")
    private List<OrderItemCostDto> orderItemCostDtoList;

    @ApiModelProperty(value = "保费")
    private OrderInsuranceFeeDto insuranceFeeDto;

    @ApiModelProperty(value = "特需费用列表")
    private List<OrderReceivableFeeDto> specialNeedFeeList;

    @ApiModelProperty(value = "费用申请列表")
    private List<OrderReceivableFeeDto> feeApplicationList;

    @ApiModelProperty(value = "使用的优惠详情列表")
    private List<CouponInfoVO> couponInfoVOList;

    @ApiModelProperty(value = "特价申请记录")
    private List<OrderSpecialApplyVO> orderSpecialApplyVOList;
}
