package cn.iocoder.yudao.module.order.vo.orderSplit;

import cn.iocoder.yudao.module.order.vo.approval.OrderApprovalBackVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* 订单拆单审核和详情 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 订单拆单审核和拆单详情 Response VO")
public class OrderSplitApprovalBackVO {

    
    @ApiModelProperty(value = "拆单正在审核流程id")
    private String applyingFormId;

    @ApiModelProperty(value = "审批单详情")
    private OrderApprovalBackVO orderApprovalBackVO;

    @ApiModelProperty(value = "拆单详情")
    private List<OrderSplitBackVO> orderSplitBackVOList;

}
